GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection Class Reference

## Public Member Functions
String | getContactID ()
void | setContactID (String value)
Date | getPreferredPickUpDate ()
void | setPreferredPickUpDate (Date value)
long | getNumberOfParcels ()
void | setNumberOfParcels (long value)
ProductType | getProduct ()
void | setProduct (ProductType value)
BigDecimal | getExpectedTotalWeight ()
void | setExpectedTotalWeight (BigDecimal value)
Boolean | isContainsHazGoods ()
void | setContainsHazGoods (Boolean value)
String | getAdditionalInformation ()
void | setAdditionalInformation (String value)

## Protected Attributes
String | contactID
Date | preferredPickUpDate
long | numberOfParcels
ProductType | product
BigDecimal | expectedTotalWeight
Boolean | containsHazGoods
String | additionalInformation

## Detailed Description

Sporadic collection attributes

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ContactID" type="{http://fpcs.gls-group.eu/v1/Common}Index"/>
            <element name="PreferredPickUpDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
            <element name="NumberOfParcels" type="{http://fpcs.gls-group.eu/v1/Common}NumberOfLabels"/>
            <element name="Product" type="{http://fpcs.gls-group.eu/v1/Common}ProductType"/>
            <element name="ExpectedTotalWeight" type="{http://fpcs.gls-group.eu/v1/Common}Weight" minOccurs="0"/>
            <element name="ContainsHazGoods" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
            <element name="AdditionalInformation" type="{http://fpcs.gls-group.eu/v1/Common}AdditionalInformation" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 56 of file SporadicCollection.java.

## Member Function Documentation

## ◆ getAdditionalInformation()

String eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.getAdditionalInformation | ( |  | ) |

Gets the value of the additionalInformation property.

Returns
  possible object is String

Definition at line 223 of file SporadicCollection.java.

## ◆ getContactID()

String eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.getContactID | ( |  | ) |

Gets the value of the contactID property.

Returns
  possible object is String

Definition at line 87 of file SporadicCollection.java.

## ◆ getExpectedTotalWeight()

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.getExpectedTotalWeight | ( |  | ) |

Gets the value of the expectedTotalWeight property.

Returns
  possible object is String

Definition at line 175 of file SporadicCollection.java.

## ◆ getNumberOfParcels()

long eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.getNumberOfParcels | ( |  | ) |

Gets the value of the numberOfParcels property.

Definition at line 131 of file SporadicCollection.java.

## ◆ getPreferredPickUpDate()

Date eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.getPreferredPickUpDate | ( |  | ) |

Gets the value of the preferredPickUpDate property.

Returns
  possible object is String

Definition at line 111 of file SporadicCollection.java.

## ◆ getProduct()

ProductType eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.getProduct | ( |  | ) |

Gets the value of the product property.

Returns
  possible object is ProductType

Definition at line 151 of file SporadicCollection.java.

## ◆ isContainsHazGoods()

Boolean eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.isContainsHazGoods | ( |  | ) |

Gets the value of the containsHazGoods property.

Returns
  possible object is Boolean

Definition at line 199 of file SporadicCollection.java.

## ◆ setAdditionalInformation()

void eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.setAdditionalInformation | ( | String | value | ) |

Sets the value of the additionalInformation property.

Parameters

  value | allowed object is String

Definition at line 235 of file SporadicCollection.java.

## ◆ setContactID()

void eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.setContactID | ( | String | value | ) |

Sets the value of the contactID property.

Parameters

  value | allowed object is String

Definition at line 99 of file SporadicCollection.java.

## ◆ setContainsHazGoods()

void eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.setContainsHazGoods | ( | Boolean | value | ) |

Sets the value of the containsHazGoods property.

Parameters

  value | allowed object is Boolean

Definition at line 211 of file SporadicCollection.java.

## ◆ setExpectedTotalWeight()

void eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.setExpectedTotalWeight | ( | BigDecimal | value | ) |

Sets the value of the expectedTotalWeight property.

Parameters

  value | allowed object is String

Definition at line 187 of file SporadicCollection.java.

## ◆ setNumberOfParcels()

void eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.setNumberOfParcels | ( | long | value | ) |

Sets the value of the numberOfParcels property.

Definition at line 139 of file SporadicCollection.java.

## ◆ setPreferredPickUpDate()

void eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.setPreferredPickUpDate | ( | Date | value | ) |

Sets the value of the preferredPickUpDate property.

Parameters

  value | allowed object is String

Definition at line 123 of file SporadicCollection.java.

## ◆ setProduct()

void eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.setProduct | ( | ProductType | value | ) |

Sets the value of the product property.

Parameters

  value | allowed object is ProductType

Definition at line 163 of file SporadicCollection.java.

## Member Data Documentation

## ◆ additionalInformation

String eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.additionalInformation
| protected

Definition at line 77 of file SporadicCollection.java.

## ◆ contactID

String eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.contactID
| protected

Definition at line 59 of file SporadicCollection.java.

## ◆ containsHazGoods

Boolean eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.containsHazGoods
| protected

Definition at line 75 of file SporadicCollection.java.

## ◆ expectedTotalWeight

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.expectedTotalWeight
| protected

Definition at line 73 of file SporadicCollection.java.

## ◆ numberOfParcels

long eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.numberOfParcels
| protected

Definition at line 66 of file SporadicCollection.java.

## ◆ preferredPickUpDate

Date eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.preferredPickUpDate
| protected

Definition at line 63 of file SporadicCollection.java.

## ◆ product

ProductType eu.glsgroup.fpcs.datatypes.soap.v1.sporadiccollection.SporadicCollection.product
| protected

Definition at line 69 of file SporadicCollection.java.

The documentation for this class was generated from the following file:

- SporadicCollection.java